*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    user-select: none;
}
html,body{
    height: 100%;
    width: 100%;
}
html{
    background-color: rgb(35, 35, 35);
color: rgb(217, 217, 217);
font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}
main{
    height: 100%;
    width: 100%;
}
section{
    padding: 20px 30px;
    display: flex;
    flex-direction: column;
    position: relative;
    gap: 20px;
    height: 100%;
}
.infos{
    display: flex;
    justify-content:space-around;
    cursor: default;
}
.info{
    border: 2px solid rgb(108, 108, 108);
    padding: 10px 20px;
    border-radius: 8px;
}
.board{
    border: 1px solid rgb(113, 112, 112);
    flex: 1;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(50px, 1fr));
    grid-template-rows: repeat(auto-fill, minmax(50px, 1fr));
}
/* .block{ */
    /* width: 30px;
    height: 30px; */
    /* border: 1px solid rgb(84, 84, 84); */

/* } */
.fill{
    background-color: rgb(251, 251, 140);
    background: url(snake.svg) center no-repeat;
    /* background-size: cover;
    background-position: center; */
     filter: drop-shadow(0 0 4px rgba(34,197,94,0.6));

}
.food{
    background: url(apple.svg) no-repeat;
    background-size: cover;
    background-position: center;
    filter: drop-shadow(0 2px 4px rgba(0,0,0,0.4));
    animation: pop .3s ease-out;
}
@keyframes pop {
    from{transform: scale(0)};
    to{transform: scale(1)};
    
}

.start-screen, .end-screen{
    height: 100vh;
    width: 100vw;
    top: 0;
    display: flex;
    position: absolute;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(33, 33, 33, 0.3);
    backdrop-filter: blur(3px);
    gap: 20px;
}
.start-screen h1{
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.start-screen h3{
    font-size: 1.5rem;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
#start-btn, #restart-btn{
    font-weight: bold;
    padding: 10px 20px;
    font-size: 1.5rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    background-color: rgb(35, 35, 35);
    color: rgb(217, 217, 217);
    box-shadow: 2px 2px 5px rgba(0,0,0,0.3);
    transition: background-color 0.3s, color 0.3s, transform 0.3s;
    margin-top: 10px;
}
#start-btn:hover, #restart-btn:hover{
    background-color: rgb(217, 217, 217);
    color: rgb(35, 35, 35);
    transform: scale(1.05);
}
#start-btn:active , #restart-btn:active{
    transform: scale(0.95);
}
.end-screen{
    display: none;
}
.end-screen h1{
    font-size: 3rem;
    margin-bottom: 20px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.end-screen h3{
    font-size: 1.5rem;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}
.head{
    background: url("head.svg") center / contain no-repeat;
    animation: snakePop .3s ease-out;
}
@keyframes snakePop {
    from{transform: scale(.7)};
    to{transform: scale(1)};
}